using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class Car : DataEntityBase
	{
		public Car()
		{
			base.InitMetaData();
		}

		private System.Int32 _ID;
		public System.Int32 ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				this._ID = value;
				IsChanged = true;
			}
		}

		private System.Int32 _OwnersID;
		public System.Int32 OwnersID
		{
			get
			{
				return this._OwnersID;
			}
			set
			{
				this._OwnersID = value;
				IsChanged = true;
			}
		}

		private System.String _CarLicense;
		public System.String CarLicense
		{
			get
			{
				return this._CarLicense;
			}
			set
			{
				this._CarLicense = value;
				IsChanged = true;
			}
		}

		private System.String _TransportCard;
		public System.String TransportCard
		{
			get
			{
				return this._TransportCard;
			}
			set
			{
				this._TransportCard = value;
				IsChanged = true;
			}
		}

		private System.DateTime _TransportCardIssueDate;
		public System.DateTime TransportCardIssueDate
		{
			get
			{
				return this._TransportCardIssueDate;
			}
			set
			{
				this._TransportCardIssueDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _TransportCardFromDate;
		public System.DateTime TransportCardFromDate
		{
			get
			{
				return this._TransportCardFromDate;
			}
			set
			{
				this._TransportCardFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _TransportCardToDate;
		public System.DateTime TransportCardToDate
		{
			get
			{
				return this._TransportCardToDate;
			}
			set
			{
				this._TransportCardToDate = value;
				IsChanged = true;
			}
		}

		private System.String _CarColor;
		public System.String CarColor
		{
			get
			{
				return this._CarColor;
			}
			set
			{
				this._CarColor = value;
				IsChanged = true;
			}
		}

		private System.Int32 _SeatNumber;
		public System.Int32 SeatNumber
		{
			get
			{
				return this._SeatNumber;
			}
			set
			{
				this._SeatNumber = value;
				IsChanged = true;
			}
		}

		private System.String _Engine;
		public System.String Engine
		{
			get
			{
				return this._Engine;
			}
			set
			{
				this._Engine = value;
				IsChanged = true;
			}
		}

		private System.String _Chassis;
		public System.String Chassis
		{
			get
			{
				return this._Chassis;
			}
			set
			{
				this._Chassis = value;
				IsChanged = true;
			}
		}

		private System.String _CarModel;
		public System.String CarModel
		{
			get
			{
				return this._CarModel;
			}
			set
			{
				this._CarModel = value;
				IsChanged = true;
			}
		}

		private System.String _Fuel;
		public System.String Fuel
		{
			get
			{
				return this._Fuel;
			}
			set
			{
				this._Fuel = value;
				IsChanged = true;
			}
		}

		private System.String _AnnualDate;
		public System.String AnnualDate
		{
			get
			{
				return this._AnnualDate;
			}
			set
			{
				this._AnnualDate = value;
				IsChanged = true;
			}
		}

		private System.String _CarinessRightCard;
		public System.String CarinessRightCard
		{
			get
			{
				return this._CarinessRightCard;
			}
			set
			{
				this._CarinessRightCard = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CarinessRightCardIssueDate;
		public System.DateTime CarinessRightCardIssueDate
		{
			get
			{
				return this._CarinessRightCardIssueDate;
			}
			set
			{
				this._CarinessRightCardIssueDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CarinessRightCardFromDate;
		public System.DateTime CarinessRightCardFromDate
		{
			get
			{
				return this._CarinessRightCardFromDate;
			}
			set
			{
				this._CarinessRightCardFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CarinessRightCardToDate;
		public System.DateTime CarinessRightCardToDate
		{
			get
			{
				return this._CarinessRightCardToDate;
			}
			set
			{
				this._CarinessRightCardToDate = value;
				IsChanged = true;
			}
		}

		private System.String _OperateCard;
		public System.String OperateCard
		{
			get
			{
				return this._OperateCard;
			}
			set
			{
				this._OperateCard = value;
				IsChanged = true;
			}
		}

		private System.DateTime _OperateCardFromDate;
		public System.DateTime OperateCardFromDate
		{
			get
			{
				return this._OperateCardFromDate;
			}
			set
			{
				this._OperateCardFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _OperateCardToDate;
		public System.DateTime OperateCardToDate
		{
			get
			{
				return this._OperateCardToDate;
			}
			set
			{
				this._OperateCardToDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _OperateIssueDate;
		public System.DateTime OperateIssueDate
		{
			get
			{
				return this._OperateIssueDate;
			}
			set
			{
				this._OperateIssueDate = value;
				IsChanged = true;
			}
		}

		private System.String _CreateUser;
		public System.String CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.String _UpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return this._UpdateDateTime;
			}
			set
			{
				this._UpdateDateTime = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Flag;
		public System.Int16 Flag
		{
			get
			{
				return this._Flag;
			}
			set
			{
				this._Flag = value;
				IsChanged = true;
			}
		}

		private System.DateTime _FlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return this._FlagDateTime;
			}
			set
			{
				this._FlagDateTime = value;
				IsChanged = true;
			}
		}
	}
}